@font-face {
    font-family: kalameh;
    src: url("../fonts/KalamehWeb-Medium.woff2")format("woff2");
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: kalameh;
}

/* SHOP START */

.shop {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    margin: 50px 0px;
    padding: 0px 10px;
}

.shop-container {
    display: flex;
    align-items: start;
    justify-content: space-between;
    flex-direction: row;
    width: 1200px;
    gap: 30px;
}

.shop-rast {
    display: flex;
    align-items: flex-start;
    justify-content: center;
    flex-direction: column;
    gap: 20px;
    padding: 15px;
    border-radius: 10px;
    border: 4px solid #D1DBE8;
    width: 300px;
    top: 10px;
    position: sticky;
    background-color: white;
}

.shop-rast .shop-rast-title {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-direction: row;
    width: 100%;
    padding-bottom: 15px;
    border-bottom: 3px dotted #D1DBE8;
}

.shop-rast .shop-rast-group {
    display: flex;
    align-items: flex-start;
    justify-content: center;
    flex-direction: column;
    gap: 10px;
}

.shop-rast .shop-rast-group a {
    text-decoration: none;
    color: black;
    font-size: 14px;
    transition: all .5s;
}

.shop-rast .shop-rast-group a i {
    transform: translateY(2px);
    margin-left: 10px;
}

.shop-rast .shop-rast-group a:hover {
    color: #777d83;
}

.shop-chap {
    display: grid;
    grid-template-columns: repeat(4, auto);
    align-items: flex-start;
    justify-content: flex-start;
    width: 100%;
    column-gap: 5px;
    row-gap: 15px;
}

.product-card {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-direction: column;
    position: relative;
    width: 230px;
    height: 393px;
    gap: 10px;
    padding: 10px;
    border-radius: 10px;
    box-shadow: 0px 0px 10px 0px rgba(112, 0, 255, 0.1);
    border: 2px solid rgba(112, 0, 255, 0.1);
    background-color: white;
}

.product-card-discount {
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    top: 10px;
    right: 10px;
    font-size: 12px;
}

.product-card-discount p {
    background-color: red;
    padding: 3px 10px 2px 10px;
    color: white;
    border-radius: 5px;
}

.product-card-img {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
}

.product-card-img img {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    border-radius: 5px;
    height: 205px;
}

.product-card-title {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    width: 100%;
    font-size: 15px;
}

.product-card-title p {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 1;
    line-clamp: 1;
    overflow: hidden;
}

.product-card-price {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    width: 100%;
    background-color: #80808010;
    border-radius: 5px;
    padding: 10px 5px;
    height: 50px;
}

.product-card-price #pprice {
    display: flex;
    align-items: center;
    justify-content: center;
    color: #7000ff;
    font-size: 18px;
    gap: 2px;
}

.product-card-price #pprice span {
    display: flex;
    align-items: center;
    justify-content: center;
    color: black;
    font-size: 13px;
}

.product-card-price del {
    font-size: 12px;
    color: gray;
}

.product-card-price #soon {
    color: red;
    font-size: 14px;
}

.product-card-seen {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
}

.product-card-seen a {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    text-decoration: none;
    color: white;
    background-color: #7000ff;
    padding: 5px 0;
    border-radius: 5px;
}

/* SHOP END */


































/* RESPONSIVE START */

@media screen and (max-width:480px) {

    .shop-container {
        width: 100%;
        flex-direction: column;
        gap: 30px;
        align-items: center;
        justify-content: center;
    }

    .shop-chap {
        grid-template-columns: repeat(1, auto);
        align-items: center;
        justify-content: center;
    }

    .shop-rast {
        position: unset;
    }

}








@media screen and (min-width:481px) and (max-width:768px) {

    .shop-container {
        width: 100%;
    }

    .shop-chap {
        grid-template-columns: repeat(1, auto);
        align-items: center;
        justify-content: center;
    }

    .shop-rast {
        width: 100%;
    }

}















@media screen and (min-width:769px) and (max-width:950px) {

    .shop-container {
        width: 100%;
    }

    .shop-chap {
        grid-template-columns: repeat(2, auto);
        align-items: center;
        justify-content: center;
    }

    .shop-rast {
        width: 100%;
    }

}

























@media screen and (min-width:950px) and (max-width:1200px) {

    .shop-container {
        width: 100%;
    }

    .shop-chap {
        grid-template-columns: repeat(3, auto);
        align-items: center;
        justify-content: center;
    }

    .shop-rast {
        width: 100%;
    }

}


























@media screen and (min-width:1200px) and (max-width:1250px) {

    .shop-container {
        width: 100%;
    }

    .shop-chap {
        grid-template-columns: repeat(4, auto);
        align-items: center;
        justify-content: center;
    }

    .shop-rast {
        width: 100%;
    }

}

/* RESPONSIVE END */